/*
Making controls children of another control changes where they send
notifications.  This script has two purposes:
  1) To check that all control notifications make it to the GUI okay.
  2) To check the appearance of all types of controls on a tab control.
*/


try
    Gui Add, % "Tab3", vTab h410 w600, Tab 1|Tab 2|Tab 3
catch
    Gui Add, % "Tab", vTab h410 w600, Tab 1|Tab 2|Tab 3
Gui Add, Text, vText gControlEvent Section hwndhText, Text control
Gui Add, Edit, vEdit
Gui Add, UpDown, vUpDown gControlEvent
GuiControl +gControlEvent, Edit
Gui Add, Pic, vPic gControlEvent, shell32.dll
Gui Add, Button, vButton gControlEvent, &Button
Gui Add, Checkbox, vCheckbox gControlEvent, Checkbox
Gui Add, Radio, vRadio gControlEvent, Radio
Gui Add, DDL, vDDL gControlEvent, One|Two|Three
Gui Add, ComboBox, vComboBox gControlEvent, One|Two|Three
Gui Add, ListBox, vListBox gControlEvent, One|Two|Three
Gui Add, Link, vLink gControlEvent , <a>Link</a> control
Gui Add, Hotkey, vHotkey gControlEvent
Gui Add, DateTime, vDateTime gControlEvent wp
Gui Add, Slider, vSlider gControlEvent

Gui Add, MonthCal, vMonthCal gControlEvent ys x+10
Gui Add, ListView, vListView gControlEvent wp, One|Two
LV_Add("", "One", "Two"), LV_Add("", "Three", "Four"), LV_ModifyCol()
Gui Add, TreeView, vTreeView gControlEvent wp
TV_Add("Child", TV_Add("Root"))

Gui Add, Text, vOutput ys x+10 w200 h350 -Background

Gui Tab, 2
Gui Add, Groupbox, Section vG1
Gui Add, Text, xp+12 yp+12 BackgroundTrans vGT1, In a group
Gui Add, Edit, vGE
Gui Add, Groupbox, xs vG2, with label
Gui Add, Text, xp+12 yp+12 BackgroundTrans vGT2, In a group
Gui Add, Button, vGB gMovie, Move Tab Control
Gui Add, Progress, -Smooth, 50

Gui Show

Output(str) {
    global
    GuiControl,, Output, % Output := str "`n" Output
    Output := RegExReplace(Output, "`n)(.*\R){20}\K[\s\S]*")
}
ControlEvent() {
    global
    GuiControlGet %A_GuiControl%
    Output(A_GuiControl "`nValue: " %A_GuiControl% "`nEvent: " A_GuiEvent "`n")
}
GuiContextMenu() {
    global
    if (A_GuiControl = "") {
        Output("GUI " A_Gui "`nValue: N/A`nEvent: GuiContextMenu`n")
        return
    }
    GuiControlGet %A_GuiControl%
    Output(A_GuiControl "`nValue: " %A_GuiControl% "`nEvent: GuiContextMenu`n")
}
GuiDropFiles() {
    global
    GuiControlGet %A_GuiControl%
    Output(A_GuiControl "`nValue: " %A_GuiControl% "`nEvent: GuiDropFiles`n")
}

Movie() {
    static b
    GuiControl MoveDraw, Tab, % (b:=!b) ? "x100 w510" : "x10 w600"
}

GuiEscape() {
    ExitApp
}
GuiClose() {
    ExitApp
}